#! /bin/sh
# Step1 
# 1. 保留專案檔
# 2. 修改小寫Tar 為大寫
# 3. 修改原先/app
# 4. 解壓縮/app/update/*.tar -> /, 並解壓縮其中的壓縮檔，並確認檔案一致性
# 5. 移除相關的tar
. ./function.sh
KeepProjectFile;
Return=$(WebUpdateCheckTarFileName);
if [ $Return -eq -1 ]; then
    ShowCheckTarFileNameError;
    Beep 4 0.001 0.5;
    exit 0;
fi
ClearApp;
RenameAPPFolder;
WebUpdateDecompressedFile;
WebUpdateDeleteDecompressedFile;
WriteStringToWebLog "DecompressedFile_Successful.";